package com.bocloud.cmp.model;

import java.util.Date;

public class StorageDeviceBean {
    private Long id; // ID
    private String version; // 型号
    private String serial; // 序列号
    private String location; // 物理位置
    private String deviceName; // 设备名称
    private String assetTag; // 资产编号
    private String befrom; // 来源
    private String maker; // 制造商
    private String contractNo; // 服务合同号
    private Date serviceStart; // 服务开始时间
    private Date serviceEnd; // 服务到期时间
    private String vendor; // 服务提供商
    private String vendorPhone; // 服务提供商联系方式
    private String makerPhone; // 制造商联系方式
    private String hardware; // 硬件配置
    private String environment; // 所属环境
    private String serviceIp; // 服务IP地址
    private String servicePort; // 端口信息
    private String type; // 存储类型
    private Integer capacity; // 存储大小
    private String fileSystem; // 文件系统名称
    private String username; // 存储用户名
    private String password; // 存储用户密码
    private String manageIp; // 存储管理IP
    private String serverId; // 所属物理机
    private Integer spareCapacity; // 剩余容量
    private Long rackId; // 机柜Id
    private String remark; // 描述

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the serial
     */
    public String getSerial() {
        return serial;
    }

    /**
     * @param serial the serial to set
     */
    public void setSerial(String serial) {
        this.serial = serial;
    }

    /**
     * @return the location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location the location to set
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * @return the deviceName
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * @param deviceName the deviceName to set
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * @return the assetTag
     */
    public String getAssetTag() {
        return assetTag;
    }

    /**
     * @param assetTag the assetTag to set
     */
    public void setAssetTag(String assetTag) {
        this.assetTag = assetTag;
    }

    /**
     * @return the befrom
     */
    public String getBefrom() {
        return befrom;
    }

    /**
     * @param befrom the befrom to set
     */
    public void setBefrom(String befrom) {
        this.befrom = befrom;
    }

    /**
     * @return the maker
     */
    public String getMaker() {
        return maker;
    }

    /**
     * @param maker the maker to set
     */
    public void setMaker(String maker) {
        this.maker = maker;
    }

    /**
     * @return the contractNo
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * @param contractNo the contractNo to set
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * @return the serviceStart
     */
    public Date getServiceStart() {
        return serviceStart;
    }

    /**
     * @param serviceStart the serviceStart to set
     */
    public void setServiceStart(Date serviceStart) {
        this.serviceStart = serviceStart;
    }

    /**
     * @return the serviceEnd
     */
    public Date getServiceEnd() {
        return serviceEnd;
    }

    /**
     * @param serviceEnd the serviceEnd to set
     */
    public void setServiceEnd(Date serviceEnd) {
        this.serviceEnd = serviceEnd;
    }

    /**
     * @return the vendor
     */
    public String getVendor() {
        return vendor;
    }

    /**
     * @param vendor the vendor to set
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /**
     * @return the vendorPhone
     */
    public String getVendorPhone() {
        return vendorPhone;
    }

    /**
     * @param vendorPhone the vendorPhone to set
     */
    public void setVendorPhone(String vendorPhone) {
        this.vendorPhone = vendorPhone;
    }

    /**
     * @return the makerPhone
     */
    public String getMakerPhone() {
        return makerPhone;
    }

    /**
     * @param makerPhone the makerPhone to set
     */
    public void setMakerPhone(String makerPhone) {
        this.makerPhone = makerPhone;
    }

    /**
     * @return the hardware
     */
    public String getHardware() {
        return hardware;
    }

    /**
     * @param hardware the hardware to set
     */
    public void setHardware(String hardware) {
        this.hardware = hardware;
    }

    /**
     * @return the environment
     */
    public String getEnvironment() {
        return environment;
    }

    /**
     * @param environment the environment to set
     */
    public void setEnvironment(String environment) {
        this.environment = environment;
    }

    /**
     * @return the serviceIp
     */
    public String getServiceIp() {
        return serviceIp;
    }

    /**
     * @param serviceIp the serviceIp to set
     */
    public void setServiceIp(String serviceIp) {
        this.serviceIp = serviceIp;
    }

    /**
     * @return the servicePort
     */
    public String getServicePort() {
        return servicePort;
    }

    /**
     * @param servicePort the servicePort to set
     */
    public void setServicePort(String servicePort) {
        this.servicePort = servicePort;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the capacity
     */
    public Integer getCapacity() {
        return capacity;
    }

    /**
     * @param capacity the capacity to set
     */
    public void setCapacity(Integer capacity) {
        this.capacity = capacity;
    }

    /**
     * @return the fileSystem
     */
    public String getFileSystem() {
        return fileSystem;
    }

    /**
     * @param fileSystem the fileSystem to set
     */
    public void setFileSystem(String fileSystem) {
        this.fileSystem = fileSystem;
    }

    /**
     * @return the username
     */
    public String getUsername() {
        return username;
    }

    /**
     * @param username the username to set
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the manageIp
     */
    public String getManageIp() {
        return manageIp;
    }

    /**
     * @param manageIp the manageIp to set
     */
    public void setManageIp(String manageIp) {
        this.manageIp = manageIp;
    }

    /**
     * @return the serverId
     */
    public String getServerId() {
        return serverId;
    }

    /**
     * @param serverId the serverId to set
     */
    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    /**
     * @return the spareCapacity
     */
    public Integer getSpareCapacity() {
        return spareCapacity;
    }

    /**
     * @param spareCapacity the spareCapacity to set
     */
    public void setSpareCapacity(Integer spareCapacity) {
        this.spareCapacity = spareCapacity;
    }

    /**
     * @return the rackId
     */
    public Long getRackId() {
        return rackId;
    }

    /**
     * @param rackId the rackId to set
     */
    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
